require 'csv'
require 'date'
# 商品リストを読み込む

products= []
CSV.foreach('products.csv', headers: true) do |row|
    products << { name: row['name'], expiry_date: Date.parse(row['expiry_date'])}
  end

# 賞味期限チェック
products.each do |product|
  days_left = (product[:expiry_date] - Date.today).to_i
  if days_left < 0
    puts "#{product[:name]}は賞味期限切れです!"
  elsif days_left <= 3
    puts "#{product[:name]}の賞味期限が近づいています (残り#{days_left}日) "
  else
   puts "#{product[:name]}はまだ大丈夫です（残り#{days_left}日) "
  end
end
